> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# India Judgments



## OpenAPI

````yaml /openapi.json get /india/judgments
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /india/judgments:
    get:
      tags:
        - India · Judgments
      summary: India Judgments
      operationId: india_judgments_india_judgments_get
      parameters:
        - name: court_level
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Court Level
        - name: court
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Court
        - name: year
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Year
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: as_of
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: As Of
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JudgmentsResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    JudgmentsResponse:
      properties:
        judgments:
          items:
            $ref: '#/components/schemas/Judgment'
          type: array
          title: Judgments
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - judgments
        - meta
      title: JudgmentsResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    Judgment:
      properties:
        judgment_id:
          type: string
          title: Judgment Id
        court_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Level
        court:
          anyOf:
            - type: string
            - type: 'null'
          title: Court
        bench:
          anyOf:
            - type: string
            - type: 'null'
          title: Bench
        case_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Title
        case_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Number
        cnr:
          anyOf:
            - type: string
            - type: 'null'
          title: Cnr
        judges:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Judges
        disposal_nature:
          anyOf:
            - type: string
            - type: 'null'
          title: Disposal Nature
        registration_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Registration Date
        decision_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Decision Date
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
        details:
          additionalProperties: true
          type: object
          title: Details
        has_pdf:
          type: boolean
          title: Has Pdf
        has_text:
          type: boolean
          title: Has Text
        knowledge_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Knowledge Time
      type: object
      required:
        - judgment_id
        - has_pdf
        - has_text
      title: Judgment
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````